SELECT
  ac.action_id, ac.action_type
FROM
  ad_actions ac
  JOIN action_states acs
  ON (
    ac.ad_id = acs.ad_id
    AND ac.action_id = acs.action_id
    AND ac.current_state = acs.state_id
  )
WHERE
  ac.ad_id = <%%ad_id%>
  and ac.action_type = '<%%combo_name%>'
  and acs.timestamp >=  CURRENT_TIMESTAMP - INTERVAL '<%$(upselling_combo.repurchase.time)%>'
 ;
